# Class ExceptionFactory

java.lang.Object
org.mariadb.jdbc.internal.util.exceptions.ExceptionFactory

public final class ExceptionFactory extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ExceptionFactory`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`ExceptionFactory(long threadId, Options options, MariaDbConnection connection, Statement statement)`

## Method Summary

Modifier and Type
Method
Description
`SQLException`
`create(String message)`
`SQLException`
`create(String message, Exception cause)`
`SQLException`
`create(String message, String sqlState)`
`SQLException`
`create(String message, String sqlState, int errorCode)`
`SQLException`
`create(String message, String sqlState, int errorCode, Exception cause)`
`SQLException`
`create(String message, String sqlState, Exception cause)`
`SQLException`
`create(SQLException cause)`
`Options`
`getOptions()`
`long`
`getThreadId()`
`SQLException`
`notSupported(String message)`
`static ExceptionFactory`
`of(long threadId, Options options)`
`ExceptionFactory`
`raiseStatementError(MariaDbConnection connection, Statement stmt)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final ExceptionFactory INSTANCE

## Constructor Details

### ExceptionFactory

public ExceptionFactory(long threadId, Options options, MariaDbConnection connection, Statement statement)

## Method Details

### of

public static ExceptionFactory of(long threadId, Options options)

### raiseStatementError

public ExceptionFactory raiseStatementError(MariaDbConnection connection, Statement stmt)

### create

public SQLException create(SQLException cause)

### notSupported

public SQLException notSupported(String message)

### create

public SQLException create(String message)

### create

public SQLException create(String message, Exception cause)

### create

public SQLException create(String message, String sqlState)

### create

public SQLException create(String message, String sqlState, Exception cause)

### create

public SQLException create(String message, String sqlState, int errorCode)

### create

public SQLException create(String message, String sqlState, int errorCode, Exception cause)

### getThreadId

public long getThreadId()

### getOptions

public Options getOptions()

### toString

public String toString()

Overrides:
  `toString` in class `Object`